Confirm a points reservation once the order is placed
POST
/wallets/{id}/take_reservedAuthorization
AuthorizationBearer token (JWT) · headerrequiredPath parameters
idintegerrequiredRequest body
application/jsonreference_codestringrequiredamountintegerResponses
200Reservation confirmed and points deducted from the confirmed balance
422No matching reservation, wrong state, or amount mismatch
Request
curl -X POST "https://api.onbolder.com/v2/wallets/0/take_reserved" \
-H "Authorization: Bearer YOUR_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"reference_code": "string",
"amount": 0
}'const response = await fetch("https://api.onbolder.com/v2/wallets/0/take_reserved", {
method: "POST",
headers: {
"Authorization": "Bearer YOUR_TOKEN",
"Content-Type": "application/json"
},
body: JSON.stringify({
"reference_code": "string",
"amount": 0
})
});import requests
response = requests.post(
"https://api.onbolder.com/v2/wallets/0/take_reserved",
headers={
"Authorization": "Bearer YOUR_TOKEN",
"Content-Type": "application/json"
},
json={
"reference_code": "string",
"amount": 0
},
)Response
Reservation confirmed and points deducted from the confirmed balance
No matching reservation, wrong state, or amount mismatch